Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006508opensim[REGION] Script Functionspublic2013-01-19 12:592014-07-29 13:42
ReporterTalun 
Assigned Tonebadon 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0006508: llHTTPResponse body is incorrectly interpreted by IE
DescriptionI noticed the following while investigating how to implement llSetContentType.

There is a bug in IE regarding the handling of content type "text/plain". If the text is identified by IE as html then IE renders it as html. The neither the clients internal browser, Firefox or Chrome do this, the text is not interpreted.

http://support.microsoft.com/kb/329661 [^]

SL overcomes this by escaping all text being sent to Internet Explorer. Using the attached test script SL displays the text as follows in the internal browser, Firefox and Chrome:-

<!DOCTYPE html>
<html>
<body>
 
<h1>My First Heading</h1>
 
< p>My first paragraph.< /p>
 
</body>
</html>


For IE the text is HTML escaped and wrapped in <html>...</html> tags and displays as follows:-

<!DOCTYPE html> <html> <body> <h1>My First Heading</h1> < p>My first paragraph.< /p> </body> </html>

In OpenSim the internal browser, Firefox and Chrome all behave as in SL, however IE renders the page as if it were "text/html" and gives a heading and a paragraph. If it had contained links etc these would have been fully rendered:-

My First Heading

My first paragraph


The attached patch escapes all text when the http response is going to internet explorer and emulates the SL behaviour. If osSetContentType has been used to set content type to "text/html" then the body is sent unescaped as at present and displays correctly. A call to osSetContentType is included but commented out.
Steps To ReproducePut the attached script into a prim, view the response in the internal browser, IE and Firefox.

In IE the text has been treated as html, not "text/plain"
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region)
Physics EngineBasicPhysics
Environment.NET / Windows32
Mono VersionNone
Viewer
Attached Files? file icon TestScript.lsl [^] (1,210 bytes) 2013-01-19 13:20
patch file icon 0001-Mantis-6508-llHTTPResponse-body-is-incorrectly-inter.patch [^] (2,243 bytes) 2013-01-24 13:10 [Show Content]

- Relationships

-  Notes
(0023446)
nebadon (administrator)
2013-01-24 13:49

patch applied in git hash : 71f7bfc2ff195106254712654fdd549ea9f2a3e3

http://opensimulator.org/viewgit/?a=commit&p=opensim&h=71f7bfc2ff195106254712654fdd549ea9f2a3e3 [^]

- Issue History
Date Modified Username Field Change
2013-01-19 12:59 Talun New Issue
2013-01-19 12:59 Talun Status new => assigned
2013-01-19 12:59 Talun Assigned To => Talun
2013-01-19 13:02 Talun Description Updated View Revisions
2013-01-19 13:03 Talun Description Updated View Revisions
2013-01-19 13:06 Talun Description Updated View Revisions
2013-01-19 13:17 Talun Description Updated View Revisions
2013-01-19 13:18 Talun Description Updated View Revisions
2013-01-19 13:19 Talun Description Updated View Revisions
2013-01-19 13:20 Talun File Added: TestScript.lsl
2013-01-19 13:30 Talun Description Updated View Revisions
2013-01-19 13:31 Talun File Added: 0001-Mantis-6508-llHTTPResponse-body-is-incorrectly-inter.patch
2013-01-19 13:32 Talun Assigned To Talun =>
2013-01-19 13:32 Talun Status assigned => patch included
2013-01-24 12:48 Talun Reproducibility have not tried => always
2013-01-24 12:48 Talun View Status public => private
2013-01-24 12:48 Talun File Deleted: 0001-Mantis-6508-llHTTPResponse-body-is-incorrectly-inter.patch
2013-01-24 13:10 Talun File Added: 0001-Mantis-6508-llHTTPResponse-body-is-incorrectly-inter.patch
2013-01-24 13:10 Talun View Status private => public
2013-01-24 13:49 nebadon Note Added: 0023446
2013-01-24 13:49 nebadon Status patch included => resolved
2013-01-24 13:49 nebadon Resolution open => fixed
2013-01-24 13:49 nebadon Assigned To => nebadon
2014-07-29 13:42 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker